net.corda.node.services.network

## Class NetworkMapService.UpdateAcknowledge

- net.corda.node.services.network.NetworkMapService.UpdateAcknowledge

- Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.UpdateAcknowledge

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateAcknowledge(int mapVersion, MessageRecipients replyTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `component1()`
    `MessageRecipients` | `component2()`
    `NetworkMapService.UpdateAcknowledge` | `copy(int mapVersion, MessageRecipients replyTo)`
    `boolean` | `equals(java.lang.Object p)`
    `int` | `getMapVersion()`
    `MessageRecipients` | `getReplyTo()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### UpdateAcknowledge

          public UpdateAcknowledge(int mapVersion,
                                   MessageRecipients replyTo)

  - ### Method Detail

    - #### getMapVersion

          public int getMapVersion()

    - #### getReplyTo

          public MessageRecipients getReplyTo()

    - #### component1

          public int component1()

    - #### component2

          public MessageRecipients component2()

    - #### copy

          public NetworkMapService.UpdateAcknowledge copy(int mapVersion,
                                                          MessageRecipients replyTo)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)